# Upgrading Airtable data connections

## Airtable data connection upgrade explained <a href="#id-01h819rdfd8cxj6ppx1nkdc1j0" id="id-01h819rdfd8cxj6ppx1nkdc1j0"></a>

Airtable data connections in Stacker use Airtable API keys. Upgrading your Airtable connections means that your Airtable data connection will use a new authentication method.

\
The upgrade will also give your apps new functionality, for example such as real time data sync between your Airtable base and Stacker, also known as real time Airtable sync. Read more about real time Airtable sync [here](https://support.stackerhq.com/hc/en-us/articles/16129474206355-Airtable-real-time-sync).

Aside from getting real time updates, it is important to upgrade because Airtable is [deprecating their API keys](https://support.airtable.com/docs/airtable-api-key-deprecation-notice) on the 1st of February 2024. In other words, you will need to upgrade for your apps to continue working.

The upgrade is free, and does not change your data structure or layouts.

Note: Any Airtable data connections created in workspaces created after the 10th of April already use the new authentication method, and do not need to be upgraded.<br>

## Better security <a href="#id-01h819rdfdbqa8dwdr55g3cx6r" id="id-01h819rdfdbqa8dwdr55g3cx6r"></a>

The new authentication methods also provide a higher standard for security, as compared to API keys. You can see more in [this article](https://support.airtable.com/docs/airtable-api-key-deprecation-notice) from Airtable.

> Personal Access Tokens and OAuth provide a higher standard for security over API Keys, which were the predecessor that provided “all-or-nothing” access over everything that an Airtable user account could see or do. These new methods have more granular control of resources and scopes and allow you to extend Airtable, all while ensuring the highest grade of security.

## How to upgrade <a href="#id-01h819rdfdt26ftw6rvz0b721b" id="id-01h819rdfdt26ftw6rvz0b721b"></a>

You will need to upgrade each data connection separately, and only takes a few minutes. See the video below, or follow the instructions here:

1. Click **App Settings**
2. Under **Data Sources**, click the **Upgrade** button
3. Follow the flow which directs you to Airtable to grant access to Stacker
4. We suggest you pick **“All current and future bases in all current and future workspaces”** in the dropdown, so that you do not have to go through the full upgrade flow for future data connections. After granting access you will be redirected to Stacker.
5. Click **Grant access**

## Repair your Airtable Data Connection![CleanShot\_2023-03-27\_at\_21.50.51\_2x.png](https://support.stackerhq.com/hc/article_attachments/15247516101395) <a href="#id-01h819rdfdzc8qe4xzazn3238n" id="id-01h819rdfdzc8qe4xzazn3238n"></a>

**This Airtable base is not accessible** error showing on the top of the data grid or the app settings page means that your Airtable data connection has lost access to Stacker.

You will need to repair your Airtable data connection if:

* The token is still valid but no longer provides access to the base it is connected to. For example, you've adjusted the permission of the token to no longer include the base.
* The token is no longer valid. For example, the token was revoked in Airtable.
* The data connection has no token assigned. For example, the Stacker user who set up the data connection has been removed from Stacker.

To fix your data connection, you will need to **Repair** the data connection from the app settings page in Stacker:

1. Go to **App Settings**
2. Click **Data Sources**
3. Find the data connection that says **This Airtable base is not accessible**
4. Click the **Repair** button
5. Depending on the reason for repair, you may be asked to either [re-authenticate your data connection](#h_01H5NFC54YRNJZPES9Q5B9MVAE), or [adjust the permissions of your token.](#h_01H5NFCEHSVQYB27HC5CV9GSTM)

![Repair Data Connection.gif](https://support.stackerhq.com/hc/article_attachments/18652762869907)

### Re-authenticate Airtable Connection <a href="#h_01h5nfc54yrnjzpes9q5b9mvae" id="h_01h5nfc54yrnjzpes9q5b9mvae"></a>

If you need to re-authenticate, you will be guided to Airtable to grant access to Stacker:

1. Pick **“All current and future bases in all current and future workspaces”** in the dropdown, so that you do not have to go through the full upgrade flow for future data connections
2. Click **Grant access**
3. Your data source should be repaired with no error message

### Adjust token permissions in Airtable <a href="#h_01h5nfcehsvqyb27hc5cv9gstm" id="h_01h5nfcehsvqyb27hc5cv9gstm"></a>

If you are asked to adjust the permissions of your token, you will be shown [this video](https://vimeo.com/809767223/f3086db5f9) after clicking **Repair.** The video will walk you through the steps to adjust permissions:

1. From the Repair modal, click on the word **Airtable** to be navigated to Airtable in a new tab.
2. In Airtable, click your profile image in the top right-hand corner
3. Click **Integrations** in the dropdown menu
4. Click **Third-party integrations**
5. Click **Stacker**
6. Under **All Workspaces**, check that the base you are using in Stacker is available.
7. Change the permissions to **All current and future bases in all current and future workspaces**
8. Navigate back to Stacker and click **Try Again**
9. Your data source should be repaired with no error message

### Troubleshooting <a href="#id-01h819rdfewez4x3fb9r2w0h3q" id="id-01h819rdfewez4x3fb9r2w0h3q"></a>

If this does not repair your data connector:

* Your Airtable account may not have access to the base of the data connector. If this is the case, contact the owner of the base and ask them to share the base with you, or ask them to go through the repair flow.
* The base may no longer exist—it may have been deleted. In this case, we are unable to repair the data connection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/data/third-party-integrations/airtable/upgrading-airtable-data-connections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
